Bug 230661 - [PATCH] dns/dsc Update to 2.7.0 and add rc.d script
Summary: [PATCH] dns/dsc Update to 2.7.0 and add rc.d script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-16 00:10 UTC by Craig Leres
Modified: 2018-08-28 00:50 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
patch (3.29 KB, patch)
2018-08-16 00:11 UTC, Craig Leres
leres: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2018-08-16 00:10:26 UTC
Update to 2.7.0. Add --with-extra-cflags=-I${PREFIX}/include so 
configure finds pcap/sll.h. Add a rc.d script. Fix the path to the
config directory in upload-prep.pl or else it silently exits without
doing anything when it doesn't find any configs.
Comment 1 Craig Leres freebsd_committer 2018-08-16 00:11:40 UTC
Created attachment 196238 [details]
patch

I'm happy to commit this with maintainer approval.
Comment 2 Leo Vandewoestijne 2018-08-27 14:04:25 UTC
Comment on attachment 196238 [details]
patch

I'm happy to see your work - I was curious if other people would use this port; but your response arrived between newsgroup alert and freebsd port-out-of-date alert, so I guess it is.

After rebuilding my poudriere server, I could finaly see: all perfectly fine.

Thanks for your improvements.
Comment 3 commit-hook freebsd_committer 2018-08-28 00:46:24 UTC
A commit references this bug:

Author: leres
Date: Tue Aug 28 00:45:54 UTC 2018
New revision: 478274
URL: https://svnweb.freebsd.org/changeset/ports/478274

Log:
  Update to 2.7.0. Add --with-extra-cflags=-I${PREFIX}/include
  so configure finds pcap/sll.h. Add a rc.d script. Fix the path
  to the config directory in upload-prep.pl or else it silently
  exits without doing anything when it doesn't find any configs.

  PR:		230661
  Reviewed by:	ler (mentor)
  Approved by:	Leo Vandewoestijn (maintainer), ler (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16925

Changes:
  head/dns/dsc/Makefile
  head/dns/dsc/distinfo
  head/dns/dsc/files/dsc.in
  head/dns/dsc/files/patch-cron_upload-prep.pl
Comment 4 Craig Leres freebsd_committer 2018-08-28 00:50:40 UTC
I found dsc years ago when I was looking for a fast way to detect DOS against our nameservers; the graphs were just a bonus. I actually have a custom local port I wrote almost ten years ago (that's where the rc.d script came from). I ran across your port while working on upgrading my port to 2.7.0.